> For the complete documentation index, see [llms.txt](https://docs.payshield.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/create-descriptor-enrollment.md).

# Create Descriptor Enrollment

API to create descriptor enrollment request

## POST /txalerts/descriptor\_enrollment/create

>

```json
{"openapi":"3.0.1","info":{"title":"TxShield api V3.0","version":"3.0"},"tags":[{"name":"Alerts","description":"Call related to alerts in txshield core."}],"servers":[{"url":"<?=PROTOCOL?>://<?=SITE_DOMAIN?>/api/v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Error":{"type":"object","properties":{"msg":{"type":"string"},"details":{"type":"string"}}}}},"paths":{"/txalerts/descriptor_enrollment/create":{"post":{"tags":["Alerts"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["sid"],"properties":{"sid":{"type":"integer","description":"Site ID"},"email_cc_list":{"type":"string","description":"List of email as receiver for descriptor enrollment. Multiple email should be seperate by (,)"},"enrollment_items":{"type":"array","items":{"type":"object","required":["descriptor","provider"],"properties":{"provider":{"type":"array","description":"Allowed provider values are the following Ethoca, CDRN and RDR","items":{"type":"string"}},"descriptor":{"type":"string","description":"Descriptor name"},"match_type":{"type":"string","description":"match_type is only required if provider is Ethoca or CDRN. Only allowed values are Starts with and Exact"},"mcc":{"type":"string","description":"Descriptor MCC. this field is optional"},"visa_bin":{"type":"string","description":"Descriptor Visa Bin. Visa BIN and CAID are only required as a pair if Visa ARN is null and provider is RDR"},"visa_caid":{"type":"string","description":"Descriptor Visa Caid. Visa BIN and CAID are only required as a pair if Visa ARN is null and provider is RDR"},"visa_arn":{"type":"string","description":"Descriptor Visa ARN. this field is only required if Visa CAID or Visa BIN are null and provider is RDR"},"rdr_ruleset":{"type":"string","description":"Descriptor RDR ruleset. this field is optional"}}}}}}}}},"responses":{"200":{"description":"Successfully returned enrollment request id","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"msg":{"type":"string"},"enrollment_request_id":{"type":"integer"}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payshield.ai/txalerts-dispute-alerts/api-endpoints/create-descriptor-enrollment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
